/*
	File:		SplashWindow.h

	Contains:	The splash screen window

	Written by: Dave Falkenburg	

	Copyright:	Copyright  1993-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/27/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				11/8/94		DRF				Keep a copy of the PicHandle so we can better handle a missing
											splash picture.

*/

#ifndef		_SPLASHWINDOW_
#define		_SPLASHWINDOW_

#ifndef		_WINDOW_
#include	"Window.h"
#endif

class	TSplashWindow	:	public TWindow
	{
public:
						TSplashWindow();
						~TSplashWindow();

	virtual WindowPtr	MakeNewWindow(WindowPtr behindWindow);

protected:
	PicHandle			fSplashPicture;
	};

#endif
