/*
	File:		StandardMenus.h

	Contains:	IDs and item numbers for standard menus

	Written by: Dave Falkenburg	

	Copyright:	Copyright  1993-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/27/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				11/8/94		DRF				(LDR) Add Style Menu and adjust other menu IDs.

*/
#ifndef		_STANDARDMENUS_
#define		_STANDARDMENUS_

#define		rMenuBar					128

#define	mApple							128
#define		iAbout						1

#define	mFile							129
#define		iNew						1
#define		iOpen						2
#define		iClose						3
#define		iSave						5
#define		iSaveAs						6
#define		iPageSetup					8
#define		iCustomPageSetup			9
#define		iPrint						10
#define		iPrintOneCopy				11
#define		iPreferences				13
#define		iQuit						15

#define	mEdit							130
#define		iUndo						1
#define		iCut						3
#define		iCopy						4
#define		iPaste						5
#define		iClear						6
#define		iSelectAll					8
#define		iCreatePublisher			10
#define		iSubscribeTo				11
#define		iPublishSubscribeOptions	12
#define		iShowOrHideClipboard		14

#define	mFont							131

#define	mSize							132
#define		i9PointSize					1
#define		i10PointSize				2
#define		i12PointSize				3
#define		i14PointSize				4
#define		i18PointSize				5
#define		i24Point					6
#define		i48Point					7
#define		i72Point					8
#define		iOtherPoint					10

#define	mStyle							133
#define		iPlain						1
#define		iBold						2
#define		iItalic						3
#define		iUnderline					4
#define		iOutline					5
#define		iShadow						6
#define		iCondensed					7
#define		iExtended					8
#define		iColor						10
#define		iCustom						11

#define	mMail							134
#define		iAddRemoveMailer			1
#define		iSendLetter					3
#define		iReplyToSender				4
#define		iReplyToAll					5
#define		iForwardLetter				6
#define		iOpenNextLetter				8
#define		iTagLetter					9

#define	mWindows						135
#define		iTileWindows				1
#define		iStackWindows				2

#endif
